%define realname rsync

Summary: A program for synchronizing files over a network.
Name: rsync-64bit
Version: 3.0.5
Release: 2
Group: Applications/Internet
URL: http://rsync.samba.org
License: GPLv3+
Source0: ftp://rsync.samba.org/pub/%{realname}/%{realname}-%{version}.tar.gz
Source1: ftp://rsync.samba.org/pub/%{realname}/%{realname}-%{version}.tar.gz.asc
Source2: ftp://rsync.samba.org/pub/%{realname}/%{realname}-patches-%{version}.tar.gz
Source3: ftp://rsync.samba.org/pub/%{realname}/%{realname}-patches-%{version}.tar.gz.asc
Patch0: %{realname}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Provides: %{realname}

BuildRequires: patch, make, popt-devel >= 1.13
Requires: popt >= 1.13

%description
Rsync uses a reliable algorithm to bring remote and host files into
sync very quickly. Rsync is fast because it just sends the differences
in the files over the network instead of sending the complete
files. Rsync is often used as a very powerful mirroring process or
just as a more capable replacement for the rcp command. A technical
report which describes the rsync algorithm is included in this
package.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -b 2 -n %{realname}-%{version}
%patch0

# Needed for compatibility with previous patched rsync versions
patch -p1 -i patches/acls.diff
patch -p1 -i patches/xattrs.diff


%build
export OBJECT_MODE=64
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-largefile \
    --enable-acl-support \
    --enable-HAVE_SECURE_MKSTEMP=no 
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export OBJECT_MODE=64
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING README tech_report.tex
%{_bindir}/*
%{_mandir}/man?/*
/usr/bin/*


%changelog
* Wed Jun 24 2009 Michael Perzl <michael@perzl.org> - 3.0.5-2
- fixed a SPEC file error

* Tue Jan 20 2009 Michael Perzl <michael@perzl.org> - 3.0.5-1
- updated to version 3.0.5 and built as 64-bit RPM package

* Tue Oct 14 2008 Michael Perzl <michael@perzl.org> - 3.0.4-1
- updated to version 3.0.4 and built as 64-bit RPM package and renamed to %{name}

* Wed Aug 13 2008 Michael Perzl <michael@perzl.org> - 3.0.3-1
- updated to version 3.0.3

* Wed Jul 09 2008 Michael Perzl <michael@perzl.org> - 3.0.2-2
- fixed large file support

* Wed Apr 23 2008 Michael Perzl <michael@perzl.org> - 3.0.2-1
- updated to version 3.0.2

* Mon Mar 24 2008 Michael Perzl <michael@perzl.org> - 3.0.0-1
- updated to version 3.0.0

* Sun Mar 23 2008 Michael Perzl <michael@perzl.org> - 2.6.9-1
- first version for AIX V5.1 and higher
